Skip to content
Guides
API reference
stablesettings:update

Update package

Updates a package format. Shipments already created keep the dimensions they were made with.

PUT/v1/fulfillment/packages/{id}

Updates a package format. Shipments already created keep the dimensions they were made with.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/v1/fulfillment/packages/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "storeId": "string",  "name": "string",  "type": "box",  "length": 0.1,  "width": 0.1,  "height": 0.1,  "dimensionUnit": "centimeter",  "emptyWeight": 0.1,  "weightUnit": "kilogram",  "isDefault": true,  "isActive": true,  "createdOn": "2019-08-24T14:15:22Z",  "updatedOn": null}